import { program, runProgram } from '@/program.ts';
import './command/config-manager/index.ts';
import './command/app-manager/index.ts';
import './command/asst-server/index.ts';
import './command/app/index.ts';
import './command/run-scripts/index.ts';

/**
 * 通过命令行解析器解析参数
 * args[0] 是执行的命令, example: node
 * args[1] 是执行的脚本, example: index.ts
 * @param argv
 */
export const runParser = async (argv: string[]) => {
  // program.parse(process.argv);
  // console.log('argv', argv);
  try {
    program.parse(argv);
  } catch (error) {
    console.error('执行错误:', error.message);
  }
};

export { runProgram };
